%define upstream_name	 DBIx-Class-Schema-Loader
%define upstream_version 0.07033

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Dynamic definition of a DBIx::Class::Schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(DBIx::Class::Schema::Loader::Utils)

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.20
BuildRequires: perl(Class::C3::Componentised) >= 1.0.800
BuildRequires: perl(Class::Inspector) >= 1.270.0
BuildRequires: perl(Class::Unload)
BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBI) >= 1.560.0
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::IntrospectableM2M)
BuildRequires: perl(Data::Dump) >= 1.60.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.100.0
BuildRequires: perl(Lingua::EN::Inflect::Phrase) >= 0.20.0
BuildRequires: perl(Lingua::EN::Tagger) >= 0.200.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(String::CamelCase) >= 0.20.0
BuildRequires: perl(String::ToIdentifier::EN) >= 0.50.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildArch:  noarch

%description
DBIx::Class::Schema::Loader automates the definition of a DBIx::Class::Schema
by scanning database table definitions and setting up the columns, primary
keys, and relationships.

DBIx::Class::Schema::Loader currently supports only the DBI storage type. It
has explicit support for DBD::Pg, DBD::mysql, DBD::DB2, DBD::SQLite, and
DBD::Oracle. Other DBI drivers may function to a greater or lesser degree with
this loader, depending on how much of the DBI spec they implement, and how
standard their implementation is.

See DBIx::Class::Schema::Loader::DBI::Writing for notes on writing your own
vendor-specific subclass for an unsupported DBD driver.

This module obsoletes the older DBIx::Class::Loader.

This module is designed more to get you up and running quickly against an
existing database, or to be effective for simple situations, rather than to be
what you use in the long term for a complex database/project.

That being said, transitioning your code from a Schema generated by this module
to one that doesn't use this module should be straightforward and painless, so
don't shy away from it just for fears of the transition down the road.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl}  -pi -e "s/('DBD::(DB2|Oracle))/#$1/g" Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
# probably just a missing build dependency
rm -f t/20invocations.t
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/DBIx
%{_mandir}/*/*
%{_bindir}/dbicdump


%changelog

* Wed Mar 27 2013 guillomovitch <guillomovitch> 1:0.70.330-2.mga3
+ Revision: 405821
- disable test failing on the build host

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.07033
    - update to 0.07025
    - parallel tests not yet supported
    - update to 0.07024

* Fri Feb 24 2012 jquelin <jquelin> 1:0.70.170-1.mga2
+ Revision: 213689
- update to 0.07017

* Sat Dec 10 2011 kharec <kharec> 1:0.70.150-1.mga2
+ Revision: 179919
- update to 0.07015

* Thu Dec 08 2011 kharec <kharec> 1:0.70.140-1.mga2
+ Revision: 179170
- update to 0.07014

* Mon Nov 14 2011 jquelin <jquelin> 1:0.70.120-1.mga2
+ Revision: 167648
- update to 0.07012

* Wed Nov 09 2011 jquelin <jquelin> 1:0.70.110-1.mga2
+ Revision: 165846
- update to 0.07011

* Wed Mar 09 2011 jquelin <jquelin> 1:0.70.100-1.mga1
+ Revision: 66941
- update to 0.07010

* Fri Feb 25 2011 jquelin <jquelin> 1:0.70.90-1.mga1
+ Revision: 59811
- update to 0.07009

* Sat Feb 12 2011 dmorgan <dmorgan> 1:0.70.60-1.mga1
+ Revision: 50792
- New version

* Mon Jan 31 2011 dmorgan <dmorgan> 1:0.70.50-1.mga1
+ Revision: 45278
- Fix buildrequire
- New version

* Tue Jan 25 2011 jquelin <jquelin> 1:0.70.20-2.mga1
+ Revision: 38800
- imported package perl-DBIx-Class-Schema-Loader


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.70.20-2mdv2011.0
+ Revision: 586142
- fix dependencies

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.70.20-1mdv2011.0
+ Revision: 586099
- new version
- new version

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.60.10-1mdv2010.1
+ Revision: 536139
- adding missing buildrequires:
- update to 0.06001

* Wed Feb 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.30-1mdv2010.1
+ Revision: 510520
- update to 0.05003

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Mon Feb 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.20-1mdv2010.1
+ Revision: 506237
- update to 0.05002

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.10-1mdv2010.1
+ Revision: 502093
- update to 0.05001

* Tue Feb 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.50.0-1mdv2010.1
+ Revision: 499694
- adding missing buildrequires:
- adding missing buildrequires:
- bumping epoch
- update to 0.05000

* Thu May 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.04006-1mdv2010.0
+ Revision: 378139
- update to new version 0.04006

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.04005-2mdv2009.0
+ Revision: 268406
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04005-1mdv2009.0
+ Revision: 193796
- update to new version 0.04005

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix description

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04004-1mdv2008.1
+ Revision: 110282
- update to new version 0.04004

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04003-1mdv2008.1
+ Revision: 97492
- update to new version 0.04003

* Tue Aug 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04002-1mdv2008.0
+ Revision: 72801
- update to new version 0.04002

* Wed Aug 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.04001-1mdv2008.0
+ Revision: 68881
- Buildrequires
- Try and avoid CPAN totally

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import perl-DBIx-Class-Schema-Loader


* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04001-1mdv2008.0
- initial mdv release
